Name:          libdevil
Version:       1.8.0
Release:       1mamba
Summary:       A full featured cross-platform image library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://openil.sourceforge.net
Source:        https://github.com/DentonW/DevIL.git/v%{version}/DevIL-%{version}.tar.bz2
Patch0:        DevIL-1.6.8-header1.patch
Patch1:        DevIL-1.6.8-header2.patch
Patch2:        DevIL-1.6.8-ilut.patch
Patch3:        ilu.h.patch
Patch4:        il.h.patch
Patch5:        %{name}-1.7.8-png14.patch
Patch6:        libdevil-1.8.0-soversion.patch
Patch7:        libdevil-1.8.0-x86_64-libdir.patch
Patch8:        libdevil-1.8.0-FS70085.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
Developer's Image Library (DevIL) is a programmer's library to develop applications with very powerful image loading capabilities, yet is easy for a developer to learn and use. Ultimate control of images is left to the developer, so unnecessary conversions, etc. are not performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate, filter and display a wide variety of image formats.
Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif. 
DevIL currently supports the following APIs for display: OpenGL, Windows GDI, SDL, DirectX and Allegro. Compilers that can compile DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual Basic, Power Basic and Dev-C++.
 
%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Developer's Image Library (DevIL) is a programmer's library to develop applications with very powerful image loading capabilities, yet is easy for a developer to learn and use. Ultimate control of images is left to the developer, so unnecessary conversions, etc. are not performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate, filter and display a wide variety of image formats.
Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif. 
DevIL currently supports the following APIs for display: OpenGL, Windows GDI, SDL, DirectX and Allegro. Compilers that can compile DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual Basic, Power Basic and Dev-C++.

This package contains static libraries and header files need for development.

%package static
Summary:        %{name} static library
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}

%description static
DevIL is an Open Source image library whose distribution is done under the terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering, converting, displaying, saving from/to several different image formats in your own project.
%{name} static library.

#% debug_package

%prep
%setup -q -n DevIL-%{version}
%patch6 -p1
%ifarch aarch64 x86_64
%patch7 -p1
%endif
%patch8 -p1

%build
cd DevIL
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd DevIL
%makeinstall -C build

%ifarch x86_64 aarch64
mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_libdir}
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libIL.so.*
%{_libdir}/libILU.so.*
%{_libdir}/libILUT.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/IL
%{_includedir}/IL/*.h
%{_libdir}/libIL.so
%{_libdir}/libILU.so
%{_libdir}/libILUT.so
%{_libdir}/pkgconfig/IL.pc
%{_libdir}/pkgconfig/ILU.pc
%{_libdir}/pkgconfig/ILUT.pc

%changelog
* Thu Apr 16 2020 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-4mamba
- moved info file to -devel package and other small specfile fixes

* Fri Nov 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-3mamba
- fix info page installation
- remove dependency on libpng 1.2 (added patch)

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-2mamba
- rebuilt with libpng 1.4

* Wed Aug 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-1mamba
- update to 1.7.8

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 1.6.8-3mamba
- automatic rebuild by autodist

* Mon Aug 18 2008 gil <puntogil@libero.it> 1.6.8-2mamba
- added: requires liballegro; devil.pc; devel static

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> rc2-1mamba
- package created by autospec
